Log in or register to post comments

Please I need some help here..!!

January 24, 2011 - 11:32am #1

Hi guys, I'm newbie with this SDK, I set up sdk qcar 0-10-10 and the ndk-
r5. All just working fine, but I have some problem trying to run ImageTargets
sample.

It shows this message when I execute on Xperia x10 Mini, and also in the
emulator as you can see:
http://img826.imageshack.us/i/androidsampleproblem1.jpg/
http://img687.imageshack.us/i/androidsampleproblem2.jpg/

Please if you can give me some advice, what it means this message about
Network Connection required to initialize camera settings.

I suppose it needs wi-fi or 3g, but I have this already enable on my cellphone.
I think at least should work fine on the emulator, but it shows same message.

If somebody can help me, I would really appreciate it

Re: Please I need some help here..!!

February 25, 2011 - 8:53am #9

Could you try connecting your device to the internet and trying again? A WiFi connection should work just fine. Let me know if this helps with the issue.

- Kim

Re: Please I need some help here..!!

February 25, 2011 - 8:34am #8

Here are the messages copied from the DDMS console:

[2011-02-24 18:24:29 - ImageTargets] ------------------------------
[2011-02-24 18:24:29 - ImageTargets] Android Launch!
[2011-02-24 18:24:29 - ImageTargets] adb is running normally.
[2011-02-24 18:24:29 - ImageTargets] Performing com.qualcomm.QCARSamples.ImageTargets.ImageTargets activity launch
[2011-02-24 18:24:29 - ImageTargets] Automatic Target Mode: Unable to detect device compatibility. Please select a target device.
[2011-02-24 18:24:48 - ImageTargets] Application already deployed. No need to reinstall.
[2011-02-24 18:24:48 - ImageTargets] Starting activity com.qualcomm.QCARSamples.ImageTargets.ImageTargets on device HT0B2RH01358
[2011-02-24 18:24:49 - ImageTargets] ActivityManager: Starting: Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] cmp=com.qualcomm.QCARSamples.ImageTargets/.ImageTargets }

And additional info from the logCat:

InitQCARTask: Network connection required to initialize camera settings. Please check your connection and restart the application.
Cannot download device start-up settings. Failed to initialized the QCAR SDK. Device settings should be download at least once

Don't hesitate to let me know if you need additional information. Thanks!

Sylvie

Re: Please I need some help here..!!

February 24, 2011 - 7:04pm #7

Yes, the SDK should work with the Desire. Can you tell us more about the issue, and perhaps include the log output? Go to the DDMS perspective in Eclipse and look at the LogCat view.

- Kim

Re: Please I need some help here..!!

February 24, 2011 - 6:55pm #6

I have also the same problem but with a HTC Desire (Android 2.1 update 1).

According to the list of supported devices, the applications should work on this device.

Thanks for your help on this issue.

Re: Please I need some help here..!!

February 14, 2011 - 2:00pm #5

The HTC Legend is not currently supported. It, along with other non-Snapdragon devices, will be supported at the end of the beta.

- Kim

Re: Please I need some help here..!!

February 14, 2011 - 1:47pm #4

I have a HTC legend and it shows the some error is this phone also not supported?

Re: Please I need some help here..!!

January 24, 2011 - 7:37pm #3

Ohh ok thanks for your answer, I will need to find another tester cellphone..

Re: Please I need some help here..!!

January 24, 2011 - 6:34pm #2

Unfortunately the Xperia x10 Mini is not supported at this time. It has a different processor than the Xperia x10, which is supported.

Also, you can not run QCAR applications in the Android emulator, they must be run on a supported Android device.

- Kim

Log in or register to post comments